## gnuradio 3.7.10.1

=== CMakeLists.txt ===
# Copyright 2010-2016 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "Prevented in-tree build. This is bad practice.")
endif(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gnuradio CXX C)
enable_testing()

#make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

include(GrBuildTypes)

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
GR_CHECK_BUILD_TYPE(${CMAKE_BUILD_TYPE})
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")
message(STATUS "Build type set to ${CMAKE_BUILD_TYPE}.")

# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 3)
set(VERSION_INFO_API_COMPAT    7)
set(VERSION_INFO_MINOR_VERSION 10)
set(VERSION_INFO_MAINT_VERSION 1)
include(GrVersion) #setup version info

# Append -O2 optimization flag for Debug builds (Not on MSVC since conflicts with RTC1 flag)
IF (NOT MSVC)
    SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O2")
    SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O2")
ENDIF()

# Set C/C++ standard for all targets
# NOTE: Starting with cmake v3.1 this should be used:
# set(CMAKE_C_STANDARD 90)
# set(CMAKE_CXX_STANDARD 98)

IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98")
ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98")
ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98")
ELSE()
    message(warning "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

IF(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "Clang")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
ELSE()
    message(warning "C standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

# Set cmake policies.
# This will suppress developer warnings during the cmake process that can occur
# if a newer cmake version than the minimum is used.

if(POLICY CMP0026)
    cmake_policy(SET CMP0026 OLD)
endif()
if(POLICY CMP0043)
    cmake_policy(SET CMP0043 OLD)
endif()
if(POLICY CMP0045)
    cmake_policy(SET CMP0045 OLD)
endif()
if(POLICY CMP0046)
    cmake_policy(SET CMP0046 OLD)
endif()

########################################################################
# Environment setup
########################################################################
IF(NOT DEFINED BOOST_ROOT)
    SET(BOOST_ROOT "${CMAKE_INSTALL_PREFIX}")
ENDIF()

########################################################################
# Import executables from a native build (for cross compiling)
# http://www.vtk.org/Wiki/CMake_Cross_Compiling#Using_executables_in_the_build_created_during_the_build
########################################################################
if(IMPORT_EXECUTABLES)
    include(${IMPORT_EXECUTABLES})
endif(IMPORT_EXECUTABLES)

#set file that the native build will fill with exports
set(EXPORT_FILE ${CMAKE_BINARY_DIR}/ImportExecutables.cmake)
file(WRITE ${EXPORT_FILE}) #blank the file (subdirs will append)

########################################################################
# Compiler specific setup
########################################################################
include(GrMiscUtils) #compiler flag check

if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    GR_ADD_CXX_COMPILER_FLAG_IF_AVAILABLE(-fvisibility=hidden HAVE_VISIBILITY_HIDDEN)
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
    GR_ADD_CXX_COMPILER_FLAG_IF_AVAILABLE(-Wsign-compare HAVE_WARN_SIGN_COMPARE)
    GR_ADD_CXX_COMPILER_FLAG_IF_AVAILABLE(-Wall HAVE_WARN_ALL)
    GR_ADD_CXX_COMPILER_FLAG_IF_AVAILABLE(-Wno-uninitialized HAVE_WARN_NO_UNINITIALIZED)
endif(CMAKE_COMPILER_IS_GNUCXX)

if(MSVC)
    include_directories(${CMAKE_SOURCE_DIR}/cmake/msvc) #missing headers
    add_definitions(-D_WIN32_WINNT=0x0502) #Minimum version: "Windows Server 2003 with SP1, Windows XP with SP2"
    add_definitions(-DNOMINMAX) #disables stupidity and enables std::min and std::max
    add_definitions( #stop all kinds of compatibility warnings
        -D_SCL_SECURE_NO_WARNINGS
        -D_CRT_SECURE_NO_WARNINGS
        -D_CRT_SECURE_NO_DEPRECATE
        -D_CRT_NONSTDC_NO_DEPRECATE
    )
    add_definitions(-DHAVE_CONFIG_H)
    add_definitions(/MP) #build with multiple processors
    add_definitions(/bigobj) #allow for larger object files
endif(MSVC)

# Record Compiler Info for record
STRING(TOUPPER ${CMAKE_BUILD_TYPE} GRCBTU)
set(COMPILER_INFO "")
IF(MSVC)
    IF(MSVC90)   #Visual Studio 9
        SET(cmake_c_compiler_version "Microsoft Visual Studio 9.0")
        SET(cmake_cxx_compiler_version "Microsoft Visual Studio 9.0")
    ELSE(MSVC10) #Visual Studio 10
        SET(cmake_c_compiler_version "Microsoft Visual Studio 10.0")
        SET(cmake_cxx_compiler_version "Microsoft Visual Studio 10.0")
    ELSE(MSVC11) #Visual Studio 11
        SET(cmake_c_compiler_version "Microsoft Visual Studio 11.0")
        SET(cmake_cxx_compiler_version "Microsoft Visual Studio 11.0")
    ELSE(MSVC12) #Visual Studio 12
        SET(cmake_c_compiler_version "Microsoft Visual Studio 12.0")
        SET(cmake_cxx_compiler_version "Microsoft Visual Studio 12.0")
    ELSE(MSVC14) #Visual Studio 14
        SET(cmake_c_compiler_version "Microsoft Visual Studio 14.0")
        SET(cmake_cxx_compiler_version "Microsoft Visual Studio 14.0")
    ENDIF()
ELSE()
    execute_process(COMMAND ${CMAKE_C_COMPILER} --version
            OUTPUT_VARIABLE cmake_c_compiler_version)
    execute_process(COMMAND ${CMAKE_CXX_COMPILER} --version
            OUTPUT_VARIABLE cmake_cxx_compiler_version)
ENDIF(MSVC)
set(COMPILER_INFO "${CMAKE_C_COMPILER}:::${CMAKE_C_FLAGS_${GRCBTU}} ${CMAKE_C_FLAGS}\n${CMAKE_CXX_COMPILER}:::${CMAKE_CXX_FLAGS_${GRCBTU}} ${CMAKE_CXX_FLAGS}\n" )

# Convert to a C string to compile and display properly
string(STRIP "${cmake_c_compiler_version}" cmake_c_compiler_version)
string(STRIP "${cmake_cxx_compiler_version}" cmake_cxx_compiler_version)
string(STRIP ${COMPILER_INFO} COMPILER_INFO)
MESSAGE(STATUS "Compiler Version: ${cmake_c_compiler_version}")
MESSAGE(STATUS "Compiler Flags: ${COMPILER_INFO}")
string(REPLACE "\n" " \\n" cmake_c_compiler_version ${cmake_c_compiler_version})
string(REPLACE "\n" " \\n" cmake_cxx_compiler_version ${cmake_cxx_compiler_version})
string(REPLACE "\n" " \\n" COMPILER_INFO ${COMPILER_INFO})

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR     bin CACHE PATH "Path to install all binaries")
set(GR_LIBRARY_DIR     lib${LIB_SUFFIX} CACHE PATH "Path to install libraries")
set(GR_INCLUDE_DIR     include CACHE PATH "Path to install header files")
set(GR_DATA_DIR        share CACHE PATH "Base location for data")
set(GR_PKG_DATA_DIR    ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME} CACHE PATH "Path to install package data")
set(GR_DOC_DIR         ${GR_DATA_DIR}/doc CACHE PATH "Path to install documentation")
set(GR_PKG_DOC_DIR     ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME}-${DOCVER} CACHE PATH "Path to install package docs")
set(GR_LIBEXEC_DIR     libexec CACHE PATH "Path to install libexec files")
set(GR_PKG_LIBEXEC_DIR ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME} CACHE PATH "Path to install package libexec files")
set(GRC_BLOCKS_DIR     ${GR_PKG_DATA_DIR}/grc/blocks CACHE PATH "Path to install GRC blocks")
set(GR_THEMES_DIR      ${GR_PKG_DATA_DIR}/themes CACHE PATH "Path to install QTGUI themes")

# Set location of config/prefs files in /etc
# Special exception if prefix is /usr so we don't make a /usr/etc.
set(GR_CONF_DIR etc CACHE PATH "Path to install config files")
string(COMPARE EQUAL "${CMAKE_INSTALL_PREFIX}" "/usr" isusr)
if(isusr)
  set(SYSCONFDIR "/${GR_CONF_DIR}" CACHE PATH "System configuration directory")
else(isusr)
  set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/${GR_CONF_DIR}" CACHE PATH "System configuration directory" FORCE)
endif(isusr)

set(GR_PKG_CONF_DIR ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d CACHE PATH "Path to install package configs")
set(GR_PREFSDIR     ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d CACHE PATH "Path to install preference files")

OPTION(ENABLE_PERFORMANCE_COUNTERS "Enable block performance counters" ON)
if(ENABLE_PERFORMANCE_COUNTERS)
  message(STATUS "ADDING PERF COUNTERS")
  SET(GR_PERFORMANCE_COUNTERS True)
  add_definitions(-DGR_PERFORMANCE_COUNTERS)
else(ENABLE_PERFORMANCE_COUNTERS)
  SET(GR_PERFORMANCE_COUNTERS False)
  message(STATUS "NO PERF COUNTERS")
endif(ENABLE_PERFORMANCE_COUNTERS)

OPTION(ENABLE_STATIC_LIBS "Enable building of static libraries" OFF)
message(STATUS "Building Static Libraries: ${ENABLE_STATIC_LIBS}")

########################################################################
# Variables replaced when configuring the package config files
########################################################################
file(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}"           prefix)
file(TO_NATIVE_PATH "\${prefix}"                        exec_prefix)
file(TO_NATIVE_PATH "\${exec_prefix}/${GR_LIBRARY_DIR}" libdir)
file(TO_NATIVE_PATH "\${prefix}/${GR_INCLUDE_DIR}"      includedir)
file(TO_NATIVE_PATH "${SYSCONFDIR}"                     SYSCONFDIR)
file(TO_NATIVE_PATH "${GR_PREFSDIR}"                    GR_PREFSDIR)

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall

=== gr-analog/lib/CMakeLists.txt ===
# Copyright 2012-2014 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/../include
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GR_ANALOG_INCLUDE_DIRS}
    ${GR_FILTER_INCLUDE_DIRS}
    ${GR_FFT_INCLUDE_DIRS}
    ${GR_BLOCKS_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
    ${VOLK_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
)

link_directories(${Boost_LIBRARY_DIRS})

if(ENABLE_GR_CTRLPORT)
  ADD_DEFINITIONS(-DGR_CTRLPORT)
endif(ENABLE_GR_CTRLPORT)

########################################################################
# Invoke macro to generate various sources and headers
########################################################################
include(GrMiscUtils)
GR_EXPAND_X_CC_H(analog noise_source_X_impl     s i f c)
GR_EXPAND_X_CC_H(analog fastnoise_source_X_impl s i f c)
GR_EXPAND_X_CC_H(analog sig_source_X_impl     s i f c)
GR_EXPAND_X_CC_H(analog random_uniform_source_X_impl b s i)

########################################################################
# Setup library
########################################################################
list(APPEND analog_sources
    ${generated_sources}
    cpm.cc
    squelch_base_cc_impl.cc
    squelch_base_ff_impl.cc
    agc_cc_impl.cc
    agc_ff_impl.cc
    agc2_cc_impl.cc
    agc2_ff_impl.cc
    agc3_cc_impl.cc
    cpfsk_bc_impl.cc
    ctcss_squelch_ff_impl.cc
    dpll_bb_impl.cc
    feedforward_agc_cc_impl.cc
    fmdet_cf_impl.cc
    frequency_modulator_fc_impl.cc
    phase_modulator_fc_impl.cc
    pll_carriertracking_cc_impl.cc
    pll_freqdet_cf_impl.cc
    pll_refout_cc_impl.cc
    probe_avg_mag_sqrd_c_impl.cc
    probe_avg_mag_sqrd_cf_impl.cc
    probe_avg_mag_sqrd_f_impl.cc
    pwr_squelch_cc_impl.cc
    pwr_squelch_ff_impl.cc
    quadrature_demod_cf_impl.cc
    rail_ff_impl.cc
    simple_squelch_cc_impl.cc
)

#Add Windows DLL resource file if using MSVC
IF(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/GrVersion.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-analog.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-analog.rc
    @ONLY)

    list(APPEND analog_sources
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-analog.rc
    )

ENDIF(MSVC)

list(APPEND analog_libs
    gnuradio-runtime
    gnuradio-blocks
    gnuradio-filter
    ${VOLK_LIBRARIES}
    ${Boost_LIBRARIES}
)

add_library(gnuradio-analog SHARED ${analog_sources})
target_link_libraries(gnuradio-analog ${analog_libs})
GR_LIBRARY_FOO(gnuradio-analog RUNTIME_COMPONENT "analog_runtime" DEVEL_COMPONENT "analog_devel")
add_dependencies(gnuradio-analog analog_generated_includes analog_generated_swigs gnuradio-filter)

if(ENABLE_STATIC_LIBS)
  add_library(gnuradio-analog_static STATIC ${analog_sources})

  add_dependencies(gnuradio-analog_static
    analog_generated_includes
    gnuradio-filter_static)

  if(NOT WIN32)
    set_target_properties(gnuradio-analog_static
      PROPERTIES OUTPUT_NAME gnuradio-analog)
  endif(NOT WIN32)

  install(TARGETS gnuradio-analog_static
    ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT "analog_devel"   # .lib file
    )
endif(ENABLE_STATIC_LIBS)

########################################################################
# QA C++ Code for gr-analog
########################################################################
if(ENABLE_TESTING)
  include(GrTest)

  include_directories(${CPPUNIT_INCLUDE_DIRS})
  link_directories(${CPPUNIT_LIBRARY_DIRS})

  list(APPEND test_gr_analog_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/test_gr_analog.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_analog.cc
    )

  add_executable(test-gr-analog ${test_gr_analog_sources})

  target_link_libraries(
    test-gr-analog
    gnuradio-runtime
    gnuradio-analog
    ${Boost_LIBRARIES}
    ${CPPUNIT_LIBRARIES}
  )

  list(APPEND GR_TEST_TARGET_DEPS gnuradio-analog gnuradio-filter gnuradio-fft)

  GR_ADD_TEST(test_gr_analog test-gr-analog)
endif(ENABLE_TESTING)

=== gr-blocks/lib/CMakeLists.txt ===
# Copyright 2012-2014 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup compatibility checks and defines
########################################################################
include(${CMAKE_CURRENT_SOURCE_DIR}/ConfigChecks.cmake)

########################################################################
# Invoke macro to generate various sources
########################################################################
include(GrMiscUtils)
GR_EXPAND_X_CC_H_IMPL(blocks abs_XX             ss ii ff)
GR_EXPAND_X_CC_H_IMPL(blocks add_XX             ss ii cc)
GR_EXPAND_X_CC_H_IMPL(blocks add_const_vXX      bb ss ii ff cc)
GR_EXPAND_X_CC_H_IMPL(blocks and_XX             bb ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks and_const_XX       bb ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks argmax_XX          fs is ss)
GR_EXPAND_X_CC_H_IMPL(blocks divide_XX          ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks integrate_XX       ss ii ff cc)
GR_EXPAND_X_CC_H_IMPL(blocks max_XX             ss ii ff)
GR_EXPAND_X_CC_H_IMPL(blocks min_XX             ss ii ff)
GR_EXPAND_X_CC_H_IMPL(blocks moving_average_XX  ss ii ff cc)
GR_EXPAND_X_CC_H_IMPL(blocks multiply_XX        ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks multiply_const_XX  ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks multiply_const_vXX ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks mute_XX            ss ii ff cc)
GR_EXPAND_X_CC_H_IMPL(blocks not_XX             bb ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks or_XX              bb ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks peak_detector_XX   fb ib sb)
GR_EXPAND_X_CC_H_IMPL(blocks probe_signal_X     b s i f c)
GR_EXPAND_X_CC_H_IMPL(blocks probe_signal_vX    b s i f c)
GR_EXPAND_X_CC_H_IMPL(blocks sample_and_hold_XX bb ss ii ff)
GR_EXPAND_X_CC_H_IMPL(blocks sub_XX             ss ii cc)
GR_EXPAND_X_CC_H_IMPL(blocks tsb_vector_sink_X  b s i f c)
GR_EXPAND_X_CC_H_IMPL(blocks xor_XX             bb ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks packed_to_unpacked_XX bb ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks unpacked_to_packed_XX bb ss ii)
GR_EXPAND_X_CC_H_IMPL(blocks vector_insert_X    b s i f c)
GR_EXPAND_X_CC_H_IMPL(blocks vector_sink_X      b s i f c)
GR_EXPAND_X_CC_H_IMPL(blocks vector_source_X    b s i f c)

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/../include
    ${GR_BLOCKS_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
    ${VOLK_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
)

link_directories(${Boost_LIBRARY_DIRS})

if(ENABLE_GR_CTRLPORT)
  ADD_DEFINITIONS(-DGR_CTRLPORT)
endif(ENABLE_GR_CTRLPORT)

########################################################################
# Setup library
########################################################################
list(APPEND gr_blocks_sources
    ${generated_sources}
    control_loop.cc
    count_bits.cc
    file_sink_base.cc
    pack_k_bits.cc
    unpack_k_bits.cc
    wavfile.cc
    add_ff_impl.cc
    add_const_bb_impl.cc
    add_const_ss_impl.cc
    add_const_ii_impl.cc
    add_const_ff_impl.cc
    add_const_cc_impl.cc
    annotator_1to1_impl.cc
    annotator_alltoall_impl.cc
    annotator_raw_impl.cc
    bin_statistics_f_impl.cc
    burst_tagger_impl.cc
    char_to_float_impl.cc
    char_to_short_impl.cc
    check_lfsr_32k_s_impl.cc
    complex_to_interleaved_char_impl.cc
    complex_to_interleaved_short_impl.cc
    complex_to_float_impl.cc
    complex_to_magphase_impl.cc
    complex_to_real_impl.cc
    complex_to_imag_impl.cc
    complex_to_mag_impl.cc
    complex_to_mag_squared_impl.cc
    complex_to_arg_impl.cc
    conjugate_cc_impl.cc
    copy_impl.cc
    deinterleave_impl.cc
    divide_cc_impl.cc
    divide_ff_impl.cc
    delay_impl.cc
    endian_swap_impl.cc
    file_descriptor_sink_impl.cc
    file_descriptor_source_impl.cc
    file_sink_impl.cc
    file_source_impl.cc
    file_meta_sink_impl.cc
    file_meta_source_impl.cc
    float_to_char_impl.cc
    float_to_complex_impl.cc
    magphase_to_complex_impl.cc
    float_array_to_int.cc
    float_to_int_impl.cc
    float_to_short_impl.cc
    float_array_to_uchar.cc
    float_to_uchar_impl.cc
    head_impl.cc
    int_to_float_impl.cc
    interleave_impl.cc
    interleaved_short_array_to_complex.cc
    interleaved_short_to_complex_impl.cc
    interleaved_char_to_complex_impl.cc
    keep_m_in_n_impl.cc
    keep_one_in_n_impl.cc
    lfsr_32k_source_s_impl.cc
    message_debug_impl.cc
    message_sink_impl.cc
    message_source_impl.cc
    message_strobe_impl.cc
    message_strobe_random_impl.cc
    message_burst_source_impl.cc
    multiply_cc_impl.cc
    multiply_ff_impl.cc
    multiply_conjugate_cc_impl.cc
    multiply_const_cc_impl.cc
    multiply_const_vcc_impl.cc
    multiply_const_ff_impl.cc
    multiply_const_vff_impl.cc
    multiply_matrix_cc_impl.cc
    multiply_matrix_ff_impl.cc
    multiply_by_tag_value_cc_impl.cc
    nlog10_ff_impl.cc
    nop_impl.cc
    null_sink_impl.cc
    null_source_impl.cc
    pack_k_bits_bb_impl.cc
    patterned_interleaver_impl.cc
    pdu.cc
    tag_debug_impl.cc
    pdu_filter_impl.cc
    pdu_set_impl.cc
    pdu_remove_impl.cc
    pdu_to_tagged_stream_impl.cc
    peak_detector2_fb_impl.cc
    random_pdu_impl.cc
    plateau_detector_fb_impl.cc
    probe_rate_impl.cc
    regenerate_bb_impl.cc
    repack_bits_bb_impl.cc
    repeat_impl.cc
    rms_cf_impl.cc
    rms_ff_impl.cc
    rotator_cc_impl.cc
    short_to_char_impl.cc
    short_to_float_impl.cc
    skiphead_impl.cc
    socket_pdu_impl.cc
    stream_mux_impl.cc
    stream_pdu_base.cc
    stream_to_streams_impl.cc
    stream_to_tagged_stream_impl.cc
    stream_to_vector_impl.cc
    streams_to_stream_impl.cc
    streams_to_vector_impl.cc
    stretch_ff_impl.cc
    sub_ff_impl.cc
    tagged_file_sink_impl.cc
    tagged_stream_to_pdu_impl.cc
    tagged_stream_multiply_length_impl.cc
    tags_strobe_impl.cc
    test_tag_variable_rate_ff_impl.cc
    threshold_ff_impl.cc
    throttle_impl.cc
    transcendental_impl.cc
    tcp_connection.cc
    tuntap_pdu_impl.cc
    tag_gate_impl.cc
    tagged_stream_align_impl.cc
    tagged_stream_mux_impl.cc
    uchar_array_to_float.cc
    uchar_to_float_impl.cc
    udp_sink_impl.cc
    udp_source_impl.cc
    unpack_k_bits_bb_impl.cc
    vco_f_impl.cc
    vco_c_impl.cc
    vector_map_impl.cc
    vector_to_stream_impl.cc
    vector_to_streams_impl.cc
    wavfile_sink_impl.cc
    wavfile_source_impl.cc
)

if(ENABLE_GR_CTRLPORT)
list(APPEND blocks_ctrlport_sources
  ctrlport_probe_c_impl.cc
  ctrlport_probe2_c_impl.cc
  ctrlport_probe2_f_impl.cc
  ctrlport_probe2_s_impl.cc
  ctrlport_probe2_i_impl.cc
  ctrlport_probe2_b_impl.cc
)

list(APPEND gr_blocks_sources
  ${blocks_ctrlport_sources}
)
endif(ENABLE_GR_CTRLPORT)

#Add Windows DLL resource file if using MSVC
IF(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/GrVersion.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-blocks.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-blocks.rc
    @ONLY)

    list(APPEND gr_blocks_sources
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-blocks.rc
    )
ENDIF(MSVC)

list(APPEND blocks_libs
    gnuradio-runtime
    ${VOLK_LIBRARIES}
    ${Boost_LIBRARIES}
    ${BLOCKS_LIBRARIES}
    ${LOG4CPP_LIBRARIES}
)

add_library(gnuradio-blocks SHARED ${gr_blocks_sources})
add_dependencies(gnuradio-blocks blocks_generated_includes)

target_link_libraries(gnuradio-blocks ${blocks_libs})
GR_LIBRARY_FOO(gnuradio-blocks RUNTIME_COMPONENT "blocks_runtime" DEVEL_COMPONENT "blocks_devel")

if(ENABLE_STATIC_LIBS)
  # Remove controlport-specific source files from staticlibs build
  if(ENABLE_GR_CTRLPORT)
    if(ICE_FOUND)
      list(REMOVE_ITEM gr_blocks_sources
        ${blocks_ctrlport_sources}
        )

      # Remove GR_CTRLPORT set this target's definitions.
      # Makes sure we don't try to use ControlPort stuff in source files
      GET_DIRECTORY_PROPERTY(STATIC_DEFS COMPILE_DEFINITIONS)
      list(REMOVE_ITEM STATIC_DEFS "GR_CTRLPORT")
      SET_PROPERTY(DIRECTORY PROPERTY COMPILE_DEFINITIONS "${STATIC_DEFS}")

      # readd it to the target since we removed it from the directory-wide list.
      SET_PROPERTY(TARGET gnuradio-blocks APPEND PROPERTY COMPILE_DEFINITIONS "GR_CTRLPORT")
    endif(ICE_FOUND)
  endif(ENABLE_GR_CTRLPORT)

  add_library(gnuradio-blocks_static STATIC ${gr_blocks_sources})

  add_dependencies(gnuradio-blocks_static blocks_generated_includes)

  if(NOT WIN32)
    set_target_properties(gnuradio-blocks_static
      PROPERTIES OUTPUT_NAME gnuradio-blocks)
  endif(NOT WIN32)

  install(TARGETS gnuradio-blocks_static
    ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT "blocks_devel"   # .lib file
    )
endif(ENABLE_STATIC_LIBS)

########################################################################
# QA C++ Code for gr-blocks
########################################################################
if(ENABLE_TESTING)
  include(GrTest)

  include_directories(
    ${GR_BLOCKS_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
    ${CPPUNIT_INCLUDE_DIRS})
  link_directories(${CPPUNIT_LIBRARY_DIRS})

  list(APPEND test_gr_blocks_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/test_gr_blocks.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_gr_flowgraph.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_set_msg_handler.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_gr_block.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_gr_top_block.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_gr_hier_block2.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_gr_hier_block2_derived.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_blocks.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_block_tags.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_rotator.cc
    )

  add_executable(test-gr-blocks ${test_gr_blocks_sources})

  list(APPEND GR_TEST_TARGET_DEPS test-gr-blocks gnuradio-blocks)

  target_link_libraries(
    test-gr-blocks
    gnuradio-runtime
    gnuradio-blocks
    ${Boost_LIBRARIES}
    ${CPPUNIT_LIBRARIES}
    ${LOG4CPP_LIBRARIES}
  )

  GR_ADD_TEST(test_gr_blocks test-gr-blocks)
endif(ENABLE_TESTING)

=== gr-digital/examples/CMakeLists.txt ===
# Copyright 2016 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

include(GrPython)

# Base stuff
GR_PYTHON_INSTALL(PROGRAMS
    example_costas.py
    example_fll.py
    example_timing.py
    run_length.py
    gen_whitener.py
    snr_estimators.py
    DESTINATION ${GR_PKG_DIGITAL_EXAMPLES_DIR}
    COMPONENT "digital_python"
)

install(
    FILES
    burst_shaper.grc
    DESTINATION ${GR_PKG_DIGITAL_EXAMPLES_DIR}
    COMPONENT "digital_python"
)

# Narrowband
GR_PYTHON_INSTALL(PROGRAMS
    narrowband/transmit_path.py
    narrowband/receive_path.py
    narrowband/uhd_interface.py
    narrowband/benchmark_tx.py
    narrowband/benchmark_rx.py
    narrowband/tx_voice.py
    narrowband/rx_voice.py
    narrowband/digital_bert_rx.py
    narrowband/digital_bert_tx.py
    narrowband/tunnel.py
    DESTINATION ${GR_PKG_DIGITAL_EXAMPLES_DIR}/narrowband
    COMPONENT "digital_python"
)

# OFDM
GR_PYTHON_INSTALL(PROGRAMS
    ofdm/benchmark_add_channel.py
    ofdm/benchmark_rx.py
    ofdm/benchmark_tx.py
    ofdm/gr_plot_ofdm.py
    ofdm/receive_path.py
    ofdm/transmit_path.py
    ofdm/tunnel.py
    ofdm/uhd_interface.py
    DESTINATION ${GR_PKG_DIGITAL_EXAMPLES_DIR}/ofdm
    COMPONENT "digital_python"
)

install(
    FILES
    ofdm/tx_ofdm.grc
    ofdm/rx_ofdm.grc
    ofdm/ofdm_loopback.grc
    DESTINATION ${GR_PKG_DIGITAL_EXAMPLES_DIR}/ofdm
    COMPONENT "digital_python"
)

# DEMOD
install(
    FILES
    demod/constellation_soft_decoder.grc
    demod/digital_freq_lock.grc
    demod/mpsk_demod.grc
    demod/pam_sync.grc
    demod/pam_timing.grc
    demod/ber_simulation.grc
    demod/dpsk_loopback.grc
    demod/gfsk_loopback.grc
    demod/test_corr_and_sync.grc
    demod/test_corr_est.grc
    demod/uhd_corr_and_sync_tx.grc
    demod/uhd_corr_and_sync_rx.grc
    DESTINATION ${GR_PKG_DIGITAL_EXAMPLES_DIR}/demod
    COMPONENT "digital_python"
)


# PACKET
install(
    FILES
    packet/burst_tagger.grc
    packet/example_corr_est_and_clock_sync.grc
    packet/example_corr_est_and_phase_sync.grc
    packet/example_corr_est.grc
    packet/formatter_crc.grc
    packet/formatter_ofdm.grc
    packet/packet_loopback_hier.grc
    packet/packet_rx.grc
    packet/packet_tx.grc
    packet/simple_bpsk_tx.grc
    packet/transmitter_sim_hier.grc
    packet/tx_stage0.grc
    packet/tx_stage1.grc
    packet/tx_stage2.grc
    packet/tx_stage3.grc
    packet/tx_stage4.grc
    packet/tx_stage5.grc
    packet/tx_stage6a.grc
    packet/tx_stage6.grc
    packet/uhd_packet_rx.grc
    packet/uhd_packet_rx_tun.grc
    packet/uhd_packet_tx.grc
    packet/uhd_packet_tx_tun.grc
    DESTINATION ${GR_PKG_DIGITAL_EXAMPLES_DIR}/packet
    COMPONENT "digital_python"
)

=== gr-dtv/lib/CMakeLists.txt ===
# Copyright 2014,2015,2016 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${GR_DTV_INCLUDE_DIRS}
    ${GR_FILTER_INCLUDE_DIRS}
    ${GR_ANALOG_INCLUDE_DIRS}
    ${GR_FEC_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
    ${VOLK_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
)

link_directories(${Boost_LIBRARY_DIRS})

if(ENABLE_GR_CTRLPORT)
  ADD_DEFINITIONS(-DGR_CTRLPORT)
endif(ENABLE_GR_CTRLPORT)

########################################################################
# Generate viterbi mux source
# http://www.vtk.org/Wiki/CMake_Cross_Compiling#Using_executables_in_the_build_created_during_the_build
########################################################################
if(NOT CMAKE_CROSSCOMPILING)
  add_executable(atsc_viterbi_gen atsc/atsc_viterbi_gen.cc)
  export(TARGETS atsc_viterbi_gen APPEND FILE ${EXPORT_FILE})
endif()

set(atsc_viterbi_mux_cc ${CMAKE_CURRENT_BINARY_DIR}/atsc_viterbi_mux.cc)

add_custom_command(
    OUTPUT ${atsc_viterbi_mux_cc}
    DEPENDS atsc_viterbi_gen
    COMMAND atsc_viterbi_gen -o ${atsc_viterbi_mux_cc}
)

########################################################################
# Setup library
########################################################################
list(APPEND dtv_sources
  ${atsc_viterbi_mux_cc}
  atsc/atsc_deinterleaver_impl.cc
  atsc/atsc_depad_impl.cc
  atsc/atsc_derandomizer_impl.cc
  atsc/atsc_equalizer_impl.cc
  atsc/atsc_fpll_impl.cc
  atsc/atsc_fs_checker_impl.cc
  atsc/atsc_randomize.cc
  atsc/atsc_rs_decoder_impl.cc
  atsc/atsc_sync_impl.cc
  atsc/atsc_fake_single_viterbi.cc
  atsc/atsc_single_viterbi.cc
  atsc/atsc_viterbi_decoder_impl.cc
  atsc/atsc_pad_impl.cc
  atsc/atsc_randomizer_impl.cc
  atsc/atsc_rs_encoder_impl.cc
  atsc/atsc_interleaver_impl.cc
  atsc/atsc_basic_trellis_encoder.cc
  atsc/atsc_trellis_encoder_impl.cc
  atsc/atsc_field_sync_mux_impl.cc
  dvb/dvb_bbheader_bb_impl.cc
  dvb/dvb_bbscrambler_bb_impl.cc
  dvb/dvb_bch_bb_impl.cc
  dvb/dvb_ldpc_bb_impl.cc
  dvbt2/dvbt2_interleaver_bb_impl.cc
  dvbt2/dvbt2_modulator_bc_impl.cc
  dvbt2/dvbt2_cellinterleaver_cc_impl.cc
  dvbt2/dvbt2_framemapper_cc_impl.cc
  dvbt2/dvbt2_freqinterleaver_cc_impl.cc
  dvbt2/dvbt2_pilotgenerator_cc_impl.cc
  dvbt2/dvbt2_paprtr_cc_impl.cc
  dvbt2/dvbt2_p1insertion_cc_impl.cc
  dvbt2/dvbt2_miso_cc_impl.cc
  dvbs2/dvbs2_interleaver_bb_impl.cc
  dvbs2/dvbs2_modulator_bc_impl.cc
  dvbs2/dvbs2_physical_cc_impl.cc
  dvbt/dvbt_energy_dispersal_impl.cc
  dvbt/dvbt_reed_solomon.cc
  dvbt/dvbt_reed_solomon_enc_impl.cc
  dvbt/dvbt_convolutional_interleaver_impl.cc
  dvbt/dvbt_configure.cc
  dvbt/dvbt_inner_coder_impl.cc
  dvbt/dvbt_bit_inner_interleaver_impl.cc
  dvbt/dvbt_symbol_inner_interleaver_impl.cc
  dvbt/dvbt_map_impl.cc
  dvbt/dvbt_reference_signals_impl.cc
  dvbt/dvbt_ofdm_sym_acquisition_impl.cc
  dvbt/dvbt_demod_reference_signals_impl.cc
  dvbt/dvbt_demap_impl.cc
  dvbt/dvbt_bit_inner_deinterleaver_impl.cc
  dvbt/dvbt_viterbi_decoder_impl.cc
  dvbt/dvbt_convolutional_deinterleaver_impl.cc
  dvbt/dvbt_reed_solomon_dec_impl.cc
  dvbt/dvbt_energy_descramble_impl.cc
  catv/catv_transport_framing_enc_bb_impl.cc
  catv/catv_reed_solomon_enc_bb_impl.cc
  catv/catv_randomizer_bb_impl.cc
  catv/catv_frame_sync_enc_bb_impl.cc
  catv/catv_trellis_enc_bb_impl.cc
)

if(ENABLE_GR_CTRLPORT)
list(APPEND dtv_sources
)
endif(ENABLE_GR_CTRLPORT)

list(APPEND dtv_libs
    gnuradio-runtime
    gnuradio-analog
    gnuradio-filter
    gnuradio-fec
    ${VOLK_LIBRARIES}
)

include (CheckCCompilerFlag)
if (MSVC)
	# 64-bit MSVC always supports SSE2 
	if (CMAKE_SIZEOF_VOID_P EQUAL 8)
		set(SSE2_SUPPORTED true)
	else ()
		CHECK_C_COMPILER_FLAG ("/arch:SSE2" SSE2_SUPPORTED)
	endif(CMAKE_SIZEOF_VOID_P EQUAL 8)
else ()
	CHECK_C_COMPILER_FLAG ("-msse2" SSE2_SUPPORTED)
endif(MSVC)

if(SSE2_SUPPORTED)
	if (NOT MSVC)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2")
	else ()
		if (CMAKE_SIZEOF_VOID_P EQUAL 4)
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /arch:SSE2")
		endif ()
	endif ()
    ADD_DEFINITIONS(-DDTV_SSE2)
endif(SSE2_SUPPORTED)

#Add Windows DLL resource file if using MSVC
if(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/GrVersion.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-dtv.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-dtv.rc
    @ONLY)

    list(APPEND dtv_sources
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-dtv.rc
    )
endif(MSVC)

add_library(gnuradio-dtv SHARED ${dtv_sources})
target_link_libraries(gnuradio-dtv ${dtv_libs})
GR_LIBRARY_FOO(gnuradio-dtv RUNTIME_COMPONENT "dtv_runtime" DEVEL_COMPONENT "dtv_devel")

=== gr-dtv/swig/CMakeLists.txt ===
# Copyright 2014 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup swig generation
########################################################################
include(GrPython)
include(GrSwig)

set(GR_SWIG_INCLUDE_DIRS
    ${GR_DTV_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_SWIG_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
)

if(ENABLE_GR_CTRLPORT)
  list(APPEND GR_SWIG_FLAGS "-DGR_CTRLPORT")
endif(ENABLE_GR_CTRLPORT)

set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/dtv_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include/gnuradio/dtv)
set(GR_SWIG_DOCS_TARGET_DEPS runtime_swig_swig_doc)
set(GR_SWIG_LIBRARIES gnuradio-dtv)

GR_SWIG_MAKE(dtv_swig dtv_swig.i)

GR_SWIG_INSTALL(
    TARGETS dtv_swig
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/dtv
    COMPONENT "dtv_python"
)

install(
    FILES
    dtv_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/dtv_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/gnuradio/swig
    COMPONENT "dtv_swig"
)

=== gr-fec/doc/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(
    FILES README.fec
    DESTINATION ${GR_PKG_DOC_DIR}
)

=== gr-fec/swig/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup swig generation
########################################################################
include(GrPython)
include(GrSwig)

set(GR_SWIG_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}/../include
    ${GR_FEC_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_SWIG_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
)

if(ENABLE_GR_CTRLPORT)
  list(APPEND GR_SWIG_FLAGS "-DGR_CTRLPORT")
endif(ENABLE_GR_CTRLPORT)

if(GSL_FOUND)
  list(APPEND GR_SWIG_FLAGS "-DGSL_FOUND")
endif(GSL_FOUND)

set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/fec_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include/gnuradio/fec)
set(GR_SWIG_DOCS_TARGET_DEPS runtime_swig_swig_doc)
set(GR_SWIG_LIBRARIES gnuradio-fec ${GSL_LDFLAGS})

GR_SWIG_MAKE(fec_swig fec_swig.i)

GR_SWIG_INSTALL(
    TARGETS fec_swig
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/fec
    COMPONENT "fec_python"
)

install(
    FILES
    fec_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/fec_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/gnuradio/swig
    COMPONENT "fec_swig"
)

=== gr-uhd/lib/CMakeLists.txt ===
# Copyright 2011-2013 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GR_UHD_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
    ${LOG4CXX_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${UHD_INCLUDE_DIRS}
)

link_directories(
  ${UHD_LIBRARY_DIRS}
  ${LOG4CXX_LIBRARY_DIRS}
  ${Boost_LIBRARY_DIRS}
)

if(ENABLE_GR_CTRLPORT)
  ADD_DEFINITIONS(-DGR_CTRLPORT)
endif(ENABLE_GR_CTRLPORT)

include_directories(${LOG4CPP_INCLUDE_DIRS})
link_directories(${LOG4CPP_LIBRARY_DIRS})

########################################################################
# Setup library
########################################################################
list(APPEND gr_uhd_sources
    usrp_block_impl.cc
    usrp_source_impl.cc
    usrp_sink_impl.cc
    amsg_source_impl.cc
)

#Add Windows DLL resource file if using MSVC
if(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/GrVersion.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-uhd.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-uhd.rc
    @ONLY)

    list(APPEND gr_uhd_sources
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-uhd.rc
    )
endif(MSVC)

list(APPEND uhd_libs
    gnuradio-runtime
    ${Boost_LIBRARIES}
    ${UHD_LIBRARIES}
    ${LOG4CPP_LIBRARIES}
)

add_library(gnuradio-uhd SHARED ${gr_uhd_sources})
target_link_libraries(gnuradio-uhd ${uhd_libs})
GR_LIBRARY_FOO(gnuradio-uhd RUNTIME_COMPONENT "uhd_runtime" DEVEL_COMPONENT "uhd_devel")

########################################################################
# Build static libraries if enabled
########################################################################
if(ENABLE_STATIC_LIBS)
  if(UHD_VERSION VERSION_GREATER "3.8.1")

    add_library(gnuradio-uhd_static STATIC ${gr_uhd_sources})

    if(NOT WIN32)
      set_target_properties(gnuradio-uhd_static
        PROPERTIES OUTPUT_NAME gnuradio-uhd)
    endif(NOT WIN32)

    install(TARGETS gnuradio-uhd_static
      ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT "uhd_devel"   # .lib file
    )
  else(UHD_VERSION VERSION_GREATER "3.8.1")
    message(STATUS "Not building gr-uhd static library; requires UHD >= 3.8.2")
  endif(UHD_VERSION VERSION_GREATER "3.8.1")
endif(ENABLE_STATIC_LIBS)

=== grc/core/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

file(GLOB py_files "*.py")

GR_PYTHON_INSTALL(
    FILES ${py_files}
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/grc/core
    COMPONENT "grc"
)

file(GLOB dtd_files "*.dtd")

install(
    FILES ${dtd_files} default_flow_graph.grc
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/grc/core
    COMPONENT "grc"
)

add_subdirectory(generator)
add_subdirectory(utils)

=== gnuradio-runtime/lib/controlport/CMakeLists.txt ===
# Copyright 2013 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

if(ENABLE_GR_CTRLPORT)

# Keep track of the number of backends ControlPort supports
SET(CTRLPORT_BACKENDS 0)

# Add definition so we can compile in ControlPort to the blocks.
add_definitions(-DGR_CTRLPORT)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

list(APPEND gnuradio_ctrlport_sources
  ${CMAKE_CURRENT_SOURCE_DIR}/rpcmanager.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/rpcserver_aggregator.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/rpcserver_booter_aggregator.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/rpcserver_selector.cc
)


OPTION(ENABLE_CTRLPORT_THRIFT "Enable ControlPort Thrift support" ON)

if(ENABLE_CTRLPORT_THRIFT)

# Look if Thrift is installed and use it as a ControlPort backend.
FIND_PACKAGE(Thrift)

if(THRIFT_FOUND)

include_directories(${THRIFT_INCLUDE_DIRS})
MATH(EXPR CTRLPORT_BACKENDS "${CTRLPORT_BACKENDS} + 1")

# Indicate thrift as an installed backend in the cmake summary.
message(STATUS "Found and enabling Thrift backend to ControlPort")
GR_APPEND_SUBCOMPONENT("thrift")

# Run Thrrift To compile C++ and Python files
message(STATUS "Running thrift to build C++ bindings")
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/thrift/)
EXECUTE_PROCESS(
   COMMAND ${THRIFT_BIN} --gen cpp -out ${CMAKE_CURRENT_BINARY_DIR}/thrift/ ${CMAKE_CURRENT_SOURCE_DIR}/thrift/gnuradio.thrift
   OUTPUT_VARIABLE THRIFT_CPP_OUTPUT
   ERROR_VARIABLE THRIFT_CPP_ERROR
   )

list(APPEND gnuradio_ctrlport_sources
  ${CMAKE_CURRENT_SOURCE_DIR}/thrift/rpcserver_thrift.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/thrift/rpcpmtconverters_thrift.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/thrift/rpcserver_booter_thrift.cc
  ${CMAKE_CURRENT_SOURCE_DIR}/thrift/thrift_application_base.cc
)

# add files built by compiling gnuradio.thrift
list(APPEND gnuradio_ctrlport_sources
  ${CMAKE_CURRENT_BINARY_DIR}/thrift/gnuradio_types.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/thrift/gnuradio_constants.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/thrift/ControlPort.cpp
)

# Add  required libraries here
list(APPEND gnuradio_runtime_libs
  ${THRIFT_LIBRARIES}
)

# Add install rule to move example Thrift configuration file into
# $prefix/etc/gnuradio
install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/thrift/thrift.conf.example
  DESTINATION ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}
  COMPONENT "runtime_runtime"
)

endif(THRIFT_FOUND)
endif(ENABLE_CTRLPORT_THRIFT)

########################################################################
# Add controlport stuff to gnuradio-runtime
########################################################################

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Save the number of backends for testing against later
set(
  CTRLPORT_BACKENDS ${CTRLPORT_BACKENDS}
  CACHE INTERNAL "Number of ControlPort backends available"
)

endif(ENABLE_GR_CTRLPORT)

=== gr-fcd/examples/c++/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

include_directories(
    ${GR_FCD_INCLUDE_DIRS}
    ${GR_FILTER_INCLUDE_DIRS}
    ${GR_ANALOG_INCLUDE_DIRS}
    ${GR_AUDIO_INCLUDE_DIRS}
    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
)

add_executable(fcd_nfm_rx fcd_nfm_rx.cc)
target_link_libraries(fcd_nfm_rx
  gnuradio-fcd gnuradio-filter gnuradio-analog  gnuradio-audio)

INSTALL(TARGETS
    fcd_nfm_rx
    DESTINATION ${GR_PKG_FCD_EXAMPLES_DIR}
    COMPONENT "fcd_examples"
)

=== debian/changelog ===
gnuradio (3.7.10.1-2) unstable; urgency=medium

  * update to v3.7.10.1-24-gea2aeca
  * add freedvapi blocks

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 09 Oct 2016 22:16:42 -0400

gnuradio (3.7.10.1-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 27 Aug 2016 00:06:08 -0400

=== debian/control ===
Source: gnuradio
Section: comm
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               dh-python,
               doxygen,
               libasound2-dev,
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libcodec2-dev (>= 0.4),
	       libcomedi-dev [!hurd-i386],
               libcppunit-dev (>=1.9.14),
               libfftw3-dev,
               libfontconfig1-dev,
               libgsl-dev (>= 2.0),
               libgsm1-dev,
               libjack-jackd2-dev,
               liblog4cpp5-dev,
               liborc-0.4-dev,
               libpulse-dev,
               libqt4-dev,
               libqwt5-qt4-dev,
               libsdl1.2-dev,
               libsndfile1-dev,
               libuhd-dev (>=3.9.1-3) [!hurd-i386],
               libusb-1.0-0-dev [linux-any],
	       libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
	       libvolk1-dev (>=1.3),
               libxi-dev,
               libxrender-dev,
               libzmq3-dev [!hurd-i386] | libzmq-dev [!hurd-i386],
               pkg-config (>=0.15.0),
               portaudio19-dev,
               pyqt4-dev-tools,
               python-cheetah,
               python-dev,
               python-gtk2-dev,
               python-lxml,
               python-numpy,
               python-opengl,
               python-qwt5-qt4,
               python-scipy,
               python-sphinx,
               python-wxgtk3.0,
               python-zmq [!hurd-i386],
               qt4-dev-tools,
               swig (>=1.3.31),
               xmlto
Standards-Version: 3.9.8
Homepage: http://gnuradio.org/
Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gnuradio.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gnuradio.git/

Package: gnuradio
Architecture: any
Depends: libvolk1-bin,
         python-cheetah,
         python-gtk2,
         python-lxml,
         python-opengl,
         python-qt4,
         python-sip,
         python-wxgtk3.0,
         python-zmq [!hurd-i386],
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: gnuradio-dev,
            python-matplotlib,
            python-networkx,
            python-numpy,
            python-qwt5-qt4,
            python-scipy,
            python-tk,
            rtl-sdr,
            uhd-host (>=3.9)
Suggests: gr-fosphor, gr-osmosdr
Description: GNU Radio Software Radio Toolkit
 GNU Radio provides signal processing blocks to implement software
 radios. It can be used with readily-available low-cost external RF
 hardware to create software-defined radios, or without hardware in a
 simulation-like environment. It is widely used in hobbyist, academic
 and commercial environments to support both wireless communications
 research and real-world radio systems.
 .
 GNU Radio applications are primarily written using the Python
 programming language, while the supplied performance-critical signal
 processing path is implemented in C++ using processor floating-point
 extensions, where available. Thus, the developer is able to implement
 real-time, high-throughput radio systems in a simple-to-use,
 rapid-application-development environment.
 .
 While not primarily a simulation tool, GNU Radio does support
 development of signal processing algorithms using pre-recorded or
 generated data, avoiding the need for actual RF hardware.
 .
 This package contains the gnuradio-companion, a graphical tool for
 creating signal flow graphs and generating flow-graph source code.
 Also included are a variety of tools and utility programs.

Package: gnuradio-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: GNU Software Defined Radio toolkit documentation
 Documentation for the GNU Radio software defined radio system
 in html and xml form.
 .
 Part of the main gnuradio build.

Package: gnuradio-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio (= ${binary:Version}),
         libboost-date-time-dev,
         libboost-filesystem-dev,
         libboost-program-options-dev,
         libboost-system-dev,
         libboost-test-dev,
         libboost-thread-dev,
         libcppunit-dev,
         libfftw3-dev,
         liblog4cpp5-dev,
         libvolk1-dev,
         python-dev,
         ${misc:Depends}
Description: GNU Software Defined Radio toolkit development
 Header files for the GNU Radio software defined radio system.
 Since GNU Radio is a framework for development of SDR
 applications, you are likely to need this installed.
 .
 Part of the main gnuradio build.

Package: libgnuradio-analog3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio analog functions
 Library for handling analog signal processing functions.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-atsc3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio atsc functions
 Library for handling ATSC (Advanced Television Systems Committee)
 signals such as those used for digital television broadcast in North
 America. Part of the main gnuradio build.

Package: libgnuradio-audio3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio audio functions
 This is the gr-audio library, used to connect to audio sources
 (mic-in) and sinks (speaker-out) ports on a computer. The underlying
 hardware driver is system and OS dependent and this module should
 automatically discover the correct one to use.  Part of the main
 gnuradio build.

Package: libgnuradio-comedi3.7.10
Section: libs
Architecture: kfreebsd-any linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio comedi instrument control functions
 Allows gnuradio to use signals from data acquisition hardware
 supported by the Comedi library and drivers.
 Part of the main gnuradio build.

Package: libgnuradio-blocks3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio blocks functions
 Some non-signal processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-channels3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio channels functions
 Some channel oriented processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-digital3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital communications functions
 All the functions for doing digital modulation and demodulation,
 including bpsk, qpsk, gmsk and ofdm signals.
 Part of the main gnuradio build.

Package: libgnuradio-dtv3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital TV signal processing blocks
 ATSC support, gr-atsc ported to a new framework, as well as
 DVB-S2, DVB-T, DVB-T2 digital video broadcast standards.
 Part of the main gnuradio build.

Package: libgnuradio-fcd3.7.10
Section: libs
Architecture: kfreebsd-any linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio FunCube Dongle support
 The Funcube Dongle is a software defined radio
 receiver in a USB stick covering 64 MHz - 1.7 GHz. More info about the
 Funcube Dongle is available at http://www.funcubedongle.com/
 .
 This library allows the device to be used as a source in GNU Radio.
 .
 Part of the main gnuradio build.

Package: libgnuradio-fec3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio forward error correction support
 Handle forward error correction processing in gnuradio.
 Implements the GNU Radio FEC API, supporting encoders and
 decoders for no-op dummmy, repetition, and convolutional classes.
 Part of the main gnuradio build.

Package: libgnuradio-fft3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio fast Fourier transform functions
 Library for Fourier transform techniques used in gnuradio.
 Uses single precision FFT from libfftw3-single3.
 Part of the main gnuradio build.

Package: libgnuradio-filter3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio filter functions
 Library of filter blocks used in gnuradio. Implements
 FIR, IIR and FFT filters, as well as Polyphase filterbank and
 PFB arbitrary resampler methods.
 Part of the main gnuradio build.

Package: libgnuradio-noaa3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio noaa satellite signals functions
 Library for handling NOAA HRPT (National Oceanic and Atmospheric
 Administration High Rate Picture Transmission) signals.
 Part of the main gnuradio build.

Package: libgnuradio-pager3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio pager radio functions
 Library for handling pager signals, including FLEX radiopager
 protocol data. FLEX receiving is completed except for addition
 of BCH error correction
 Part of the main gnuradio build.

Package: libgnuradio-pmt3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio pmt container library
 Polymorphic Types are opaque data types that are designed as generic
 containers of data that can be safely passed around between blocks
 and threads in GNU Radio.
 Part of the main gnuradio build.

Package: libgnuradio-qtgui3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio Qt graphical user interface functions
 QT-based graphical sinks for gnuradio applications.
 Implements opengl, raster and native plotting methods, and
 supports a QT Style Sheet (QSS) file to adjust the look.
 Part of the main gnuradio build.

Package: libgnuradio-runtime3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio core runtime
 Top level component library. Defines core blocks. Handles
 settings for logging, performance counters, and control port.
 Part of the main gnuradio build.

Package: libgnuradio-trellis3.7.10
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio trellis modulation functions
 Library for trellis coding modulation, including the Viterbi
 Algorithm, Concatenated Coding and Turbo Decoding
 based upon finite state machine (FSM) class.
 Part of the main gnuradio build.

Package: libgnuradio-uhd3.7.10
Section: libs
Architecture: kfreebsd-any linux-any
Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --with python2 --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DPYTHON_EXECUTABLE:STRING="/usr/bin/python" -DENABLE_INTERNAL_VOLK=OFF

override_dh_auto_test:
	mkdir debian/test
	mkdir debian/test/.gnuradio
	- if case "$(DEB_BUILD_ARCH)" in *"i386"*) false;; *) true;; esac; then HOME=$(CURDIR)/debian/test dh_auto_test -- ARGS+='--timeout 10 -E systematic' ; fi
	rm -rf debian/test

# Doxygen's jquery.js isn't really jquery.js - look for upstream to ship doxygen.js soon instead.
override_dh_auto_install:
	dh_auto_install
	# jquery.js is provided in another debian package, do not ship one here too
	rm debian/tmp/usr/share/doc/gnuradio*/html/jquery.js
	# chmod +x debian/tmp/usr/lib/python2.7/dist-packages/gnuradio/grc/python/flow_graph.tmpl
